Subject: bug#46790: 28.0.50; make install with native-comp branch

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Apr 2021 16:39:14 +0300

> Date: Sat, 24 Apr 2021 16:33:17 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > Lisp expression: Backtrace:
> > /usr/local/sbin/emacs-28.0.50/emacs-28.0.50(+0x17a324)[0x55e34b4cc324]
> > /usr/local/sbin/emacs-28.0.50/emacs-28.0.50(+0x46299)[0x55e34b398299]
> > /usr/local/sbin/emacs-28.0.50/emacs-28.0.50(+0x469fa)[0x55e34b3989fa]
> > /lib/x86_64-linux-gnu/libpthread.so.0(+0x12980)[0x7ff2a34b1980]
> 
> This is a backtrace from an abort or crash.  Even more weird.
> 
> I installed some change that might fix the problem.  If not, I'm
> afraid someone else who is smarter than I am will have to investigate
> this.  Thank you for your time and help.

Btw, this part of the backtrace:

> /usr/local/sbin/emacs-28.0.50/emacs-28.0.50(+0x1f0cc1)[0x55e34b542cc1]
> /usr/local/libexec/emacs/28.0.50/x86_64-pc-linux-gnu/../../../../bin/../lib/emacs/28.0.50/native-lisp/28.0.50-f294808a/preloaded/startup-bbc6ea72-3a1d4504.eln(F636f6d6d616e642d6c696e652d31_command_line_1_0+0xad3)[0x7ff2918cf923]
> /usr/local/sbin/emacs-28.0.50/emacs-28.0.50(+0x1f0e73)[0x55e34b542e73]
> /usr/local/libexec/emacs/28.0.50/x86_64-pc-linux-gnu/../../../../bin/../lib/emacs/28.0.50/native-lisp/28.0.50-f294808a/preloaded/startup-bbc6ea72-3a1d4504.eln(F636f6d6d616e642d6c696e65_command_line_0+0x17a2)[0x7ff2918c8512]
> /usr/local/sbin/emacs-28.0.50/emacs-28.0.50(+0x1f0e73)[0x55e34b542e73]
> /usr/local/libexec/emacs/28.0.50/x86_64-pc-linux-gnu/../../../../bin/../lib/emacs/28.0.50/native-lisp/28.0.50-f294808a/preloaded/startup-bbc6ea72-3a1d4504.eln(F6e6f726d616c2d746f702d6c6576656c_normal_top_level_0+0xfca)[0x7ff2918c4fca]
> /usr/local/sbin/emacs-28.0.50/emacs-28.0.50(+0x1f4ce8)[0x55e34b546ce8]

clearly indicates that Emacs did find the preloaded *.eln files, and
the place where it found them was the correct one.  So it really could
be that the crash and/or the failures of dired-async-mode have nothing
to do with the code which looks for the *.eln files, but with
something entirely different.